package cn.cecep.talroad.enums;

/**
 * 阈值配置参数编码枚举类
 */
public enum ThresHoldConfigEnum {

    H01("H01","压差超过高限次数"),//布袋除尘器压差频繁超高限
    H02("H02","压差累计超过高限时间"),//布袋除尘器压差频繁超高限
    H03("H03","报警间隔时长"),//布袋除尘器压差频繁超高限
    L01("L01","压差低于低值次数"),//布袋除尘器压差过低
    L02("L02","压差累计超过低限时间"),//布袋除尘器压差过低
    L03("L03","报警间隔时长"),//布袋除尘器压差过低
    SN01("SN01","水泥行业产量计算"),
    J01("J01","报警间隔时长"),
    J02("J02","超标次数"),
    J03("J03","二次电流过高持续时间"),
    J04("J04","二次电流过低持续时间"),
    PH01("PH01","PH最小值"),
    PH02("PH02","PH最大值"),
    P01("P01","循环泵最低运行时长"),
    P02("P02","氧化风机最低运行时长"),
    P03("P03","压力差大于标准压差比例"),
    X01("X01","许可证延续有效期"),
    X02("X02","许可证整改超期有效期"),
    S01("S01","连续缺失数据条数");

    private String code;
    private String name;

    ThresHoldConfigEnum(String code,String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
